You are not logged in.

#1 2014-03-10 23:29:56

marzecki
Member
Registered: 2011-08-28
Posts: 15

[SOLVED] Xorg terminates after system upgrade

Im lost... Please someone help me.

I upgraded old installation of Arch yesterday (about one year old) and now Xorg fails to load up. I don't really know where to look for issues... I think its graphic card but I'm not sure...

Xorg isnt showing much errors...

# cat /var/log/Xorg.0.log | grep EE
[  3948.803] Current Operating System: Linux bowman 3.13.6-1-ARCH #1 SMP PREEMPT Fri Mar 7 22:30:23 CET 2014 i686
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  3949.345] Initializing built-in extension MIT-SCREEN-SAVER
[  3951.026] (EE) Server terminated successfully (0). Closing log file.

Warnings:

# cat /var/log/Xorg.0.log | grep WW
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  4198.590] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[  4198.590] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
[  4198.590] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[  4198.590] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[  4198.590] (WW) Disabling Keyboard0
[  4198.590] (WW) Disabling Mouse0
[  4199.631] (WW) NVIDIA(0): Unable to support custom viewPortOut 1360 x 765 +0 +1
[  4199.632] (WW) NVIDIA(0): Unable to support custom viewPortOut 1360 x 765 +0 +1
[  4199.940] (WW) evdev: SIGMACHIP USB Keyboard: ignoring absolute axes.

Log part related to "Unable to support custom viewPortOut" line:

[  4199.226] (**) NVIDIA(0): Enabling 2D acceleration
[  4199.626] (II) NVIDIA(GPU-0): Display (LG Electronics W1946 (CRT-1)) does not support NVIDIA
[  4199.626] (II) NVIDIA(GPU-0):     3D Vision stereo.
[  4199.628] (II) NVIDIA(0): NVIDIA GPU GeForce 6200 (NV44) at PCI:1:0:0 (GPU-0)
[  4199.628] (--) NVIDIA(0): Memory: 524288 kBytes
[  4199.628] (--) NVIDIA(0): VideoBIOS: 05.44.a2.14.ff
[  4199.628] (II) NVIDIA(0): Detected AGP rate: 8X
[  4199.628] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[  4199.628] (--) NVIDIA(0): Valid display device(s) on GeForce 6200 at PCI:1:0:0
[  4199.628] (--) NVIDIA(0):     CRT-0
[  4199.628] (--) NVIDIA(0):     LG Electronics W1946 (CRT-1) (connected)
[  4199.628] (--) NVIDIA(0):     DFP-0
[  4199.628] (--) NVIDIA(0): CRT-0: 400.0 MHz maximum pixel clock
[  4199.628] (--) NVIDIA(0): LG Electronics W1946 (CRT-1): 400.0 MHz maximum pixel clock
[  4199.628] (--) NVIDIA(0): DFP-0: 155.0 MHz maximum pixel clock
[  4199.628] (--) NVIDIA(0): DFP-0: Internal Single Link TMDS
[  4199.628] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[  4199.628] (**) NVIDIA(0):     device LG Electronics W1946 (CRT-1) (Using EDID
[  4199.628] (**) NVIDIA(0):     frequencies has been enabled on all display devices.)
[  4199.629] (==) NVIDIA(0):
[  4199.629] (==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
[  4199.629] (==) NVIDIA(0):     will be used as the requested mode.
[  4199.629] (==) NVIDIA(0):
[  4199.629] (II) NVIDIA(0): Validated MetaModes:
[  4199.629] (II) NVIDIA(0):     "CRT-1:nvidia-auto-select"
[  4199.629] (**) NVIDIA(0): Virtual screen size configured to be 1360 x 768
[  4199.631] (WW) NVIDIA(0): Unable to support custom viewPortOut 1360 x 765 +0 +1
[  4199.632] (WW) NVIDIA(0): Unable to support custom viewPortOut 1360 x 765 +0 +1
[  4199.633] (--) NVIDIA(0): DPI set to (84, 84); computed from "UseEdidDpi" X config
[  4199.633] (--) NVIDIA(0):     option
[  4199.633] (--) Depth 24 pixmap format is 32 bpp
[  4199.646] (II) NVIDIA(0): Setting mode "CRT-1:nvidia-auto-select"

Xorg.0.log: http://pastebin.com/rJDxeXnV

Graphic card is: (lspci -v)

01:00.0 VGA compatible controller: NVIDIA Corporation NV44A [GeForce 6200] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Gigabyte Technology Co., Ltd Device 3504
	Flags: bus master, 66MHz, medium devsel, latency 248, IRQ 16
	Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Memory at f9000000 (32-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at fa000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [44] AGP version 3.0
	Kernel driver in use: nvidia
	Kernel modules: nouveau, nvidia

Packages installed:

# pacman -Qs nvidia -q
libcl
libvdpau
nvidia-304xx
nvidia-304xx-libgl
nvidia-304xx-utils
opencl-nvidia-304xx

xorg.conf has been automatically generated with nvidia-xconfig:
(only "        Virtual     1360 768" has been added)

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 304.119  (buildmeister@swio-display-x64-rhel04-01)  Fri Jan 17 10:35:08 PST 2014

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
        Virtual     1360 768
    EndSubSection
EndSection

Any ideas?

[EDIT]

Very important facts:
startx fails when running xfce4 or awesome
startx runs on root (with strange x environment) with no problems

Last edited by marzecki (2014-03-12 13:52:49)

Offline

#2 2014-03-12 13:49:06

marzecki
Member
Registered: 2011-08-28
Posts: 15

Re: [SOLVED] Xorg terminates after system upgrade

After testing it in TWM it came out that some of the graphical applications complain about the lack of libEGL.so.1...

Creation of symlink to the mesa-libEGL.so.1.0.0 solved everything! (Correct me if it's wrong file!)

# ln -s /usr/lib/mesa-libEGL.so.1.0.0 /usr/lib/libEGL.so.1

I suppose it is aur/legacy/manual installed packages issue.

(Double-posting because of founded solution)

Last edited by marzecki (2014-03-12 13:52:25)

Offline

#3 2014-03-13 02:33:49

1LordAnubis
Member
Registered: 2008-10-10
Posts: 250
Website

Re: [SOLVED] Xorg terminates after system upgrade

For me it occurred after this update..... I dunno why yikes, but openbox wouldn't load, kde would, however
Guess it's due to the mesa update and using the legacy nvida-173xx driver

[2014-03-12 21:17] [PACMAN] Running 'pacman -Syu'
[2014-03-12 21:17] [PACMAN] synchronizing package lists
[2014-03-12 21:17] [PACMAN] starting full system upgrade
[2014-03-12 21:24] [PACMAN] upgraded bluez-libs (5.15-1 -> 5.16-1)
[2014-03-12 21:24] [PACMAN] upgraded calligra-filters (2.8.0-1 -> 2.8.0-2)
[2014-03-12 21:24] [PACMAN] upgraded calligra-libs (2.8.0-1 -> 2.8.0-2)
[2014-03-12 21:24] [PACMAN] upgraded calligra-plugins (2.8.0-1 -> 2.8.0-2)
[2014-03-12 21:25] [PACMAN] upgraded calligra-krita (2.8.0-1 -> 2.8.0-2)
[2014-03-12 21:25] [PACMAN] upgraded libpng (1.6.9-1 -> 1.6.10-1)
[2014-03-12 21:25] [PACMAN] upgraded mjpegtools (2.0.0-4 -> 2.1.0-1)
[2014-03-12 21:25] [PACMAN] upgraded cinelerra-cv (1:2.2-19 -> 1:2.2-20)
[2014-03-12 21:25] [PACMAN] upgraded systemd (210-2 -> 210-3)
[2014-03-12 21:25] [PACMAN] upgraded mesa (10.0.3-1 -> 10.1.0-2)
[2014-03-12 21:25] [PACMAN] upgraded libevdev (0.6-1 -> 1.0.1-1)
[2014-03-12 21:25] [PACMAN] upgraded clutter (1.16.4-1 -> 1.16.4-3)
[2014-03-12 21:25] [PACMAN] upgraded libcups (1.7.1-3 -> 1.7.1-4)
[2014-03-12 21:25] [PACMAN] upgraded cups-filters (1.0.46-1 -> 1.0.48-1)
[2014-03-12 21:25] [PACMAN] upgraded cups (1.7.1-3 -> 1.7.1-4)
[2014-03-12 21:25] [PACMAN] upgraded dhcpcd (6.2.1-1 -> 6.3.1-1)
[2014-03-12 21:25] [PACMAN] upgraded dosfstools (3.0.25-1 -> 3.0.26-1)
[2014-03-12 21:25] [PACMAN] upgraded freetype2 (2.5.2-1 -> 2.5.3-1)
[2014-03-12 21:25] [PACMAN] upgraded geoip-database (20140108-1 -> 20140304-1)
[2014-03-12 21:25] [PACMAN] upgraded gst-plugins-bad (1.2.3-1 -> 1.2.3-2)
[2014-03-12 21:25] [PACMAN] upgraded gstreamer0.10-bad (0.10.23-7 -> 0.10.23-8)
[2014-03-12 21:25] [PACMAN] upgraded gstreamer0.10-bad-plugins (0.10.23-7 -> 0.10.23-8)
[2014-03-12 21:26] [PACMAN] upgraded kdenlive (0.9.6-3 -> 0.9.6-4)
[2014-03-12 21:26] [PACMAN] upgraded keyutils (1.5.8-1 -> 1.5.9-1)
[2014-03-12 21:26] [PACMAN] upgraded libnl (3.2.23-1 -> 3.2.24-1)
[2014-03-12 21:26] [PACMAN] upgraded libssh (0.5.5-2 -> 0.5.5-3)
[2014-03-12 21:26] [PACMAN] upgraded libva (1.2.1-1 -> 1.2.1-2)
[2014-03-12 21:26] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2014-03-12 21:26] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Starting build: 3.13.6-1-ARCH
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux.img
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Starting build: 3.13.6-1-ARCH
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: smsmdtv
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:26] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-fallback.img
[2014-03-12 21:26] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:26] [PACMAN] upgraded linux (3.13.5-1 -> 3.13.6-1)
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-ck.preset: 'default'
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-ck -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-ck.img
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Starting build: 3.13.6-1-ck
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-ck.img
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-ck.preset: 'fallback'
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-ck -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-ck-fallback.img -S autodetect
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Starting build: 3.13.6-1-ck
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: smsmdtv
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:27] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-ck-fallback.img
[2014-03-12 21:27] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:27] [ALPM-SCRIPTLET] 
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Thank you for using http://repo-ck.com/ for your linux-ck package needs.
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Note that the following CPU optimized packages are or could be available to you:
[2014-03-12 21:27] [ALPM-SCRIPTLET]  AMD   : barcelona, bobcat, bulldozer, kx, k10, piledriver
[2014-03-12 21:27] [ALPM-SCRIPTLET]  Intel : atom, core2, haswell, ivybridge, nehalem, p4, pentm, sandybridge
[2014-03-12 21:27] [ALPM-SCRIPTLET] 
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Search via group name:  pacman -Sg ck-ivybridge
[2014-03-12 21:27] [ALPM-SCRIPTLET] 
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> Post in the repo support thread if package group is unavailable for your architecture:
[2014-03-12 21:27] [ALPM-SCRIPTLET] >>> https://bbs.archlinux.org/viewtopic.php?id=111715
[2014-03-12 21:27] [PACMAN] upgraded linux-ck-p4 (3.13.5-2 -> 3.13.6-1)
[2014-03-12 21:27] [PACMAN] upgraded linux-headers (3.13.5-1 -> 3.13.6-1)
[2014-03-12 21:28] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2014-03-12 21:28] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'default'
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts.img
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Starting build: 3.10.33-1-lts
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-lts.img
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'fallback'
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts-fallback.img -S autodetect
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Starting build: 3.10.33-1-lts
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: bfa
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: smsmdtv
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-03-12 21:28] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-lts-fallback.img
[2014-03-12 21:28] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-03-12 21:28] [PACMAN] upgraded linux-lts (3.10.32-1 -> 3.10.33-1)
[2014-03-12 21:28] [PACMAN] upgraded linux-lts-headers (3.10.32-1 -> 3.10.33-1)
[2014-03-12 21:28] [PACMAN] upgraded python (3.3.4-1 -> 3.3.5-1)
[2014-03-12 21:29] [PACMAN] upgraded mono (3.2.3-2 -> 3.2.8-1)
[2014-03-12 21:29] [PACMAN] upgraded ruby (2.1.0-2 -> 2.1.1-1)
[2014-03-12 21:29] [PACMAN] upgraded s-nail (14.6.1-1 -> 14.6.2-1)
[2014-03-12 21:29] [PACMAN] upgraded sqlite (3.8.3.1-1 -> 3.8.4.1-1)
[2014-03-12 21:29] [PACMAN] upgraded swt (4.3-1 -> 4.3.2-1)
[2014-03-12 21:29] [PACMAN] upgraded systemd-sysvcompat (210-2 -> 210-3)
[2014-03-12 21:29] [PACMAN] upgraded tzdata (2013i-1 -> 2014a-1)
[2014-03-12 21:29] [PACMAN] upgraded wine (1.7.13-1 -> 1.7.14-1)
[2014-03-12 21:29] [PACMAN] upgraded wireshark-cli (1.10.5-4 -> 1.10.6-1)
[2014-03-12 21:30] [PACMAN] upgraded wireshark-gtk (1.10.5-4 -> 1.10.6-1)
[2014-03-12 21:30] [PACMAN] upgraded xbmc (12.3-11 -> 12.3-12)
[2014-03-12 21:30] [PACMAN] upgraded xterm (302-1 -> 303-1)

Thanks a bunch

Last edited by 1LordAnubis (2014-03-13 02:39:41)


Any society that would give up a little liberty to gain a little security will deserve neither and lose both.
-Benjamin Franklin
The reasonable man adapts himself to the world; the unreasonable one persists in trying to adapt the world to himself. Therefore all progress depends on the unreasonable man.
-George Bernard Shaw

Offline

#4 2014-03-13 02:56:58

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,349

Re: [SOLVED] Xorg terminates after system upgrade

1LordAnubis wrote:

Guess it's due to the mesa update and using the legacy nvida-173xx driver

Yep. The mesa package now installs the libs to an alternate location and the mesa-libgl package has symlinks, same as they've been doing for libgl for a while now. The maintainer of your binary driver needs to update the package to provide these symlinks.

Last edited by Scimmia (2014-03-13 02:57:40)

Offline

Board footer

Powered by FluxBB